/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/animations';

.nv-toast {
  @extend .transition-exit;
  align-items: center;
  border-radius: 200px;
  box-sizing: border-box;
  cursor: pointer;
  display: flex;
  font-family: 'FiraGO Italic';
  height: 77px;
  opacity: 0;
  overflow: hidden;
  padding: 0 $space-default;
  position: relative;
  transform: translateY(50%);
  width: auto;

  .nv-toast-icon,
  content {
    color: var(--nv-type-primary-light);
    z-index: 2;
  }

  content {
    max-width: 250px;
    padding: $space-sm 0;
  }

  h6 {
    margin-bottom: 0;

    &:empty {
      display: none;
    }
  }

  &::before {
    background-color: #000;
    content: '';
    height: 100%;
    left: 0;
    opacity: 0.8;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 0;
  }

  h4 {
    margin-bottom: $space-sm;
  }

  .nv-toast-icon {
    align-items: center;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    margin-right: $space-default;
    max-height: 45px;
    max-width: 45px;
    min-height: 45px;
    min-width: 45px;
    overflow: hidden;
    text-align: center;

    img {
      display: inline-block;
      height: 100%;
      width: 100%;
    }

    svg,
    path {
      color: var(--nv-type-primary-light);
      fill: var(--nv-type-primary-light);
    }
  }

  &.nv-toast-closed {
    bottom: -30%;
    display: none;
    opacity: 0;
    visibility: hidden;
  }

  &.nv-toast-flying {
    @extend .transition-entrance;
    opacity: 1;
    transform: translateY(0%);
    transition-property: opacity, transform;
    visibility: visible;
    width: 77px !important;
  }

  &.nv-toast-opened {
    @extend .transition-moviment;
    opacity: 1;
    transform: translateY(0%);
    transition-delay: 0.5s;
    transition-property: width;
    visibility: visible;
    width: auto;
  }

  &.nv-toast-hiding {
    @extend .transition-exit;
    opacity: 0;
    transform: translateY(0%);
  }

  .nv-toast-body {
    display: inline-block;
    height: 80px;
    padding-right: 20px;
    white-space: nowrap;
  }

  .nv-toast-content {
    display: inline-block;
    height: 80px;
    padding: 10px 0;
    position: relative;
    vertical-align: top;
    white-space: normal;
    width: 240px;
  }

  .nv-toast-actions {
    align-items: center;
    display: flex;
    justify-items: center;
    margin-left: $space-default;
    min-height: 70px;
    min-width: 40px;
    padding-left: $space-sm;
    position: relative;
    vertical-align: top;
    white-space: normal;

    ul {
      align-items: center;
      display: flex;
      height: 100%;
      list-style: none;
      padding: 0;
      width: 100%;
    }

    li {
      color: #fff;
    }

    .nv-button {      
      .nv-button-native {
        color: var(--nv-type-primary-light);
        height: 100%;
        min-width: unset;
        padding: 4px;
        width: 100%;
      }
    }

    svg,
    svg path {
      color: var(--nv-theme);
      fill: var(--nv-theme);
    }

    &::before {
      background-color: rgba(255, 255, 255, 0.5);
      content: ' ';
      height: calc(100% - 20px);
      left: 0;
      margin: 10px 0;
      position: absolute;
      top: 0;
      width: 1px;
    }

    .action-items {
      flex-basis: 0;
      flex-grow: 1;
      max-width: 100%;
      min-height: 1px;
      padding-left: 10px;
      position: relative;
    }
  }
}
